Index: /production/onslow_2006/report/anuga.tex
===================================================================
--- /production/onslow_2006/report/anuga.tex	(revision 3406)
+++ /production/onslow_2006/report/anuga.tex	(revision 3407)
@@ -28,5 +28,5 @@
 \item initial conditions, such as initial water levels (e.g. determined by tides),
 \item boundary conditions (the tsunami source as described in 
-Section \ref{sec:tsunamiscenario}), and
+Section \ref{sec:methodology}), and
 \item computational requirements relating to the mesh construction.
 \end{itemize}
Index: /production/onslow_2006/report/computational_setup.tex
===================================================================
--- /production/onslow_2006/report/computational_setup.tex	(revision 3406)
+++ /production/onslow_2006/report/computational_setup.tex	(revision 3407)
@@ -62,5 +62,5 @@
 The final item to be addressed to complete the model setup is the 
 definition of the boundary condition. As 
-discussed in Section \ref{sec:tsunamiscenario}, a Mw 9 event provides
+discussed in Section \ref{sec:methodology}, a Mw 9 event provides
 the tsunami source. The resultant tsunami wave is made up of a series
 of waves with different amplitudes which is affected by the energy
Index: /production/onslow_2006/report/interpretation.tex
===================================================================
--- /production/onslow_2006/report/interpretation.tex	(revision 3406)
+++ /production/onslow_2006/report/interpretation.tex	(revision 3407)
@@ -34,7 +34,6 @@
 \begin{table}[h]
 \label{table:speedexamples}
+\caption{Examples of a range of velocities.}
 \begin{center}
-\caption{Examples of a range of velocities.}
-\label{table:speedexamples}
 \begin{tabular}{|l|l|}\hline
 {\bf Velocity (m/s)} & {\bf Example} \\ \hline
@@ -69,5 +68,5 @@
 
 These 
-features are illustrated in Figure \ref{fig:gaugeBeadonBayeest}
+features are illustrated in Figure \ref{fig:gaugeBeadonBayeast}
 where a small wave can be seen at around 200 mins. For the HAT
 case (shown in blue), the amplitude
@@ -75,5 +74,5 @@
 scenario, the initial water level is 1.5 m, which means that
 the actual amplitude is the difference between the stage value
-and the initial water level; 2.3 - 1.5).
+and the initial water level; 2.3 - 1.5}.
 The drawdown of around 4.3 m (i.e. 2.3 - -2) then occurs at around 230 mins
 (i.e. 3.8 hours after the event has been generated), before
@@ -162,4 +161,4 @@
 the road infrastructure in the Onslow town centre.  
 The airport remains
-free of inundation for each tidal scenario. Section \ref{sec:damage}
+free of inundation for each tidal scenario. Section \ref{sec:impact}
 details the impact estimates to the residential infrastructure.
Index: /production/onslow_2006/report/introduction.tex
===================================================================
--- /production/onslow_2006/report/introduction.tex	(revision 3406)
+++ /production/onslow_2006/report/introduction.tex	(revision 3407)
@@ -25,5 +25,5 @@
 of the North West Shelf. The scenario used for this study has
 an unknown return period, but is considered a plausible event (see
-Section \ref{sec:tsunamiscenario}). 
+Section \ref{sec:methodology}). 
 Subsequent assessments will use refined hazard models with
 associate return periods. A suite of assessments will be
Index: /production/onslow_2006/report/onslow_2006_report.tex
===================================================================
--- /production/onslow_2006/report/onslow_2006_report.tex	(revision 3406)
+++ /production/onslow_2006/report/onslow_2006_report.tex	(revision 3407)
@@ -63,7 +63,7 @@
     \input{modelling_methodology}
     
-  \section{Tsunami scenarios}
-    \label{sec:tsunamiscenario}
-    \input{tsunami_scenario}
+%  \section{Tsunami scenarios}
+%    \label{sec:tsunamiscenario}
+%    \input{tsunami_scenario}
 
   \section{Data sources}
@@ -122,7 +122,7 @@
      \input{damage}
 
-   \section{Impact due to data accuracy}
-     \input{discussion}
-     \label{sec:issues}
+%   \section{Impact due to data accuracy}
+%     \input{discussion}
+%     \label{sec:issues}
 
      \section{Summary}
Index: /production/onslow_2006/report/references.tex
===================================================================
--- /production/onslow_2006/report/references.tex	(revision 3406)
+++ /production/onslow_2006/report/references.tex	(revision 3407)
@@ -8,7 +8,7 @@
 Tsunami (MOST) model, NOAA Technical Memorandum ERL PMEL-112.
 
-\bibitem{somerville:urs} Somerville, P., Thio, H.K. and Ichinose, G. (2005)
-Probabilistic Tsunami Hazard Analysis. Report delivered to Geoscience
-Australia 2005.
+%\bibitem{somerville:urs} Somerville, P., Thio, H.K. and Ichinose, G. (2005)
+%Probabilistic Tsunami Hazard Analysis. Report delivered to Geoscience
+%Australia 2005.
 
 \bibitem{matsuyama:1999}
Index: /production/onslow_2006/report/summary.tex
===================================================================
--- /production/onslow_2006/report/summary.tex	(revision 3406)
+++ /production/onslow_2006/report/summary.tex	(revision 3407)
@@ -7,5 +7,5 @@
 scenario have also been described. 
 
-As discussed in Section \ref{sec:issues}, it is imperative
+As shown in Section \ref{sec:data}, it is imperative
 that the best available data is used to increase confidence
 in the inundation maps. 