Index: /development/cairns_2006/cairns_project.py
===================================================================
--- /development/cairns_2006/cairns_project.py	(revision 3433)
+++ /development/cairns_2006/cairns_project.py	(revision 3434)
@@ -3,2 +3,3 @@
 
 bathymetry_filename = 'cairns_meters.xya'
+mesh_filename = 'cairns_mesh.msh'
Index: /development/cairns_2006/create_mesh.py
===================================================================
--- /development/cairns_2006/create_mesh.py	(revision 3433)
+++ /development/cairns_2006/create_mesh.py	(revision 3434)
@@ -7,5 +7,5 @@
 
 from pmesh.mesh import *
-from pyvolution.coordinate_transforms.geo_reference import Geo_reference
+from coordinate_transforms.geo_reference import Geo_reference
 from conversion import convert_latlon_to_xycoords
 
@@ -166,5 +166,5 @@
     m.generateMesh('pzq28.0z')
 
-    import project
+    import cairns_project as project
     m.export_mesh_file(project.mesh_filename)
     
Index: /development/cairns_2006/run_cairns.py
===================================================================
--- /development/cairns_2006/run_cairns.py	(revision 3433)
+++ /development/cairns_2006/run_cairns.py	(revision 3434)
@@ -15,6 +15,6 @@
 from pyvolution.pmesh2domain import pmesh_to_domain_instance
 from Numeric import array, zeros, Float, allclose
-#import cairns_project
-import project
+import cairns_project as project
+#import project
 from caching import cache
 from utilities.polygon import read_polygon, Polygon_function
Index: /inundation/parallel/build_commun.py
===================================================================
--- /inundation/parallel/build_commun.py	(revision 3433)
+++ /inundation/parallel/build_commun.py	(revision 3434)
@@ -29,6 +29,5 @@
 import sys
 
-from pypar_dist import pypar
-#import pypar
+import pypar
 
 from build_local import build_local_mesh
Index: /inundation/parallel/parallel_shallow_water.py
===================================================================
--- /inundation/parallel/parallel_shallow_water.py	(revision 3433)
+++ /inundation/parallel/parallel_shallow_water.py	(revision 3434)
@@ -30,5 +30,5 @@
 from Numeric import zeros, Float, Int, ones, allclose, array
 
-from pypar_dist import pypar
+import pypar
 
 
Index: /inundation/parallel/print_stats.py
===================================================================
--- /inundation/parallel/print_stats.py	(revision 3433)
+++ /inundation/parallel/print_stats.py	(revision 3434)
@@ -19,5 +19,5 @@
 import sys
 
-from pypar_dist import pypar
+import pypar
 
 from Numeric import array, Int8, zeros, ones, take, nonzero, Float
Index: /inundation/parallel/run_parallel_sw_merimbula_test.py
===================================================================
--- /inundation/parallel/run_parallel_sw_merimbula_test.py	(revision 3433)
+++ /inundation/parallel/run_parallel_sw_merimbula_test.py	(revision 3434)
@@ -36,5 +36,5 @@
 #########################################################
 import sys
-from pypar_dist import pypar    # The Python-MPI interface
+import pypar    # The Python-MPI interface
 import time
 
@@ -180,10 +180,12 @@
 
 try:
-    domain.initialise_visualiser(rect=rect)
+    #domain.initialise_visualiser(rect=rect)
     #domain.visualiser.coloring['stage'] = True
-    domain.visualiser.scale_z['stage'] = 0.2
-    domain.visualiser.scale_z['elevation'] = 0.05
+    #domain.visualiser.scale_z['stage'] = 0.2
+    #domain.visualiser.scale_z['elevation'] = 0.05
+    pass
 except:
     print 'No visualiser'
+
 
 
@@ -213,5 +215,5 @@
 
 yieldstep = 1
-finaltime = 90
+finaltime = None
 
 #yieldstep = 1
@@ -231,15 +233,43 @@
 #result.dump_stats("profile." + str(numprocs) + "." + str(myid) + ".dat")
 
-#New hotshot profiling
-import hotshot
-profiler = hotshot.Profile("hotshot." + str(numprocs) + "." + str(myid) + ".prof")
-s = '''for t in domain.evolve(yieldstep = yieldstep, finaltime = finaltime):
-  if myid == 0:
-    domain.write_time()
-  print_test_stats(domain, tri_full_flag)
-
-'''
-result = profiler.runctx(s, globals(), locals())
-profiler.close()
+## #New hotshot profiling
+## import hotshot
+## profiler = hotshot.Profile("hotshot." + str(numprocs) + "." + str(myid) + ".prof")
+## s = '''for t in domain.evolve(yieldstep = yieldstep, finaltime = finaltime):
+##   if myid == 0:
+##     domain.write_time()
+##   print_test_stats(domain, tri_full_flag)
+
+## '''
+## result = profiler.runctx(s, globals(), locals())
+## profiler.close()
+
+from vtk_realtime_visualiser import Visualiser
+V = Visualiser(domain,default_scale_z=100.0)
+V.coloring['stage'] = True
+V.coloring['elevation'] = False
+V.setup['elevation']=True
+V.updating['stage']=True
+V.qcolor['stage'] = (0.1,0.4,0.99)
+
+
+V.start()
+V.idle.wait()
+V.idle.clear()
+
+
+
+
+
+for t in domain.evolve(yieldstep = yieldstep, finaltime = finaltime):
+    if myid == 0:
+        domain.write_time()
+        #print_test_stats(domain, tri_full_flag)
+
+    V.redraw_ready.set()
+    V.idle.wait()
+    V.idle.clear()
+    V.unpaused.wait()
+
 
 #print 'P%d: That took %.2f seconds' %(myid, time.time()-t0)