Index: /documentation/user_manual/examples/bedslope.py
===================================================================
--- /documentation/user_manual/examples/bedslope.py	(revision 3533)
+++ /documentation/user_manual/examples/bedslope.py	(revision 3534)
@@ -8,6 +8,6 @@
 # Module imports 
 #
-from pyvolution.mesh_factory import rectangular
-from pyvolution.shallow_water import Domain, Reflective_boundary,\
+from anuga.pyvolution.mesh_factory import rectangular
+from anuga.pyvolution.shallow_water import Domain, Reflective_boundary,\
      Dirichlet_boundary, Time_boundary, Transmissive_boundary
 
Index: /documentation/user_manual/examples/file_function_example.py
===================================================================
--- /documentation/user_manual/examples/file_function_example.py	(revision 3533)
+++ /documentation/user_manual/examples/file_function_example.py	(revision 3534)
@@ -4,5 +4,5 @@
 #Notice the statistics output
 
-from pyvolution.util import file_function
+from anuga.pyvolution.util import file_function
  
 f = file_function('bedslope.sww',
Index: /documentation/user_manual/examples/harbour.py
===================================================================
--- /documentation/user_manual/examples/harbour.py	(revision 3533)
+++ /documentation/user_manual/examples/harbour.py	(revision 3534)
@@ -15,10 +15,10 @@
 #------------------------------------------------------------------------------
 
-from pmesh.mesh_interface import create_mesh_from_regions
-from pyvolution.shallow_water import Domain
-from pyvolution.shallow_water import Reflective_boundary
-from pyvolution.shallow_water import Dirichlet_boundary
-from pyvolution.shallow_water import Time_boundary
-from pyvolution.shallow_water import Transmissive_boundary
+from anuga.pmesh.mesh_interface import create_mesh_from_regions
+from anuga.pyvolution.shallow_water import Domain
+from anuga.pyvolution.shallow_water import Reflective_boundary
+from anuga.pyvolution.shallow_water import Dirichlet_boundary
+from anuga.pyvolution.shallow_water import Time_boundary
+from anuga.pyvolution.shallow_water import Transmissive_boundary
 
 waveheight = 1.0
@@ -127,5 +127,5 @@
 gauges, gaugex, gaugey = gauge_line(west,east,north,south)
 
-from pyvolution.util import file_function
+from anuga.pyvolution.util import file_function
 
 f = file_function('harbour.sww',
Index: /documentation/user_manual/examples/runsydney.py
===================================================================
--- /documentation/user_manual/examples/runsydney.py	(revision 3533)
+++ /documentation/user_manual/examples/runsydney.py	(revision 3534)
@@ -20,12 +20,12 @@
 
 # Related major packages
-from pyvolution.shallow_water import Domain, Dirichlet_boundary
-from pyvolution.data_manager import convert_dem_from_ascii2netcdf, dem2pts
-from pyvolution.combine_pts import combine_rectangular_points_files 
-from pmesh.mesh_interface import create_mesh_from_regions
+from anuga.pyvolution.shallow_water import Domain, Dirichlet_boundary
+from anuga.pyvolution.data_manager import convert_dem_from_ascii2netcdf, dem2pts
+from anuga.pyvolution.combine_pts import combine_rectangular_points_files 
+from anuga.pmesh.mesh_interface import create_mesh_from_regions
 
 # Application specific imports
 import project                           # Define file names and polygons
-from pyvolution.smf import slump_tsunami # Function for submarine mudslide 
+from anuga.pyvolution.smf import slump_tsunami # Function for submarine mudslide 
 
 
Index: /documentation/user_manual/examples/runup.py
===================================================================
--- /documentation/user_manual/examples/runup.py	(revision 3533)
+++ /documentation/user_manual/examples/runup.py	(revision 3534)
@@ -10,10 +10,10 @@
 #------------------------------------------------------------------------------
 
-from pyvolution.mesh_factory import rectangular_cross
-from pyvolution.shallow_water import Domain
-from pyvolution.shallow_water import Reflective_boundary
-from pyvolution.shallow_water import Dirichlet_boundary
-from pyvolution.shallow_water import Time_boundary
-from pyvolution.shallow_water import Transmissive_boundary
+from anuga.pyvolution.mesh_factory import rectangular_cross
+from anuga.pyvolution.shallow_water import Domain
+from anuga.pyvolution.shallow_water import Reflective_boundary
+from anuga.pyvolution.shallow_water import Dirichlet_boundary
+from anuga.pyvolution.shallow_water import Time_boundary
+from anuga.pyvolution.shallow_water import Transmissive_boundary
 
 
Index: /documentation/user_manual/examples/runuptest.py
===================================================================
--- /documentation/user_manual/examples/runuptest.py	(revision 3533)
+++ /documentation/user_manual/examples/runuptest.py	(revision 3534)
@@ -10,10 +10,10 @@
 #------------------------------------------------------------------------------
 
-from pmesh.mesh_interface import create_mesh_from_regions
-from pyvolution.shallow_water import Domain
-from pyvolution.shallow_water import Reflective_boundary
-from pyvolution.shallow_water import Dirichlet_boundary
-from pyvolution.shallow_water import Time_boundary
-from pyvolution.shallow_water import Transmissive_boundary
+from anuga.pmesh.mesh_interface import create_mesh_from_regions
+from anuga.pyvolution.shallow_water import Domain
+from anuga.pyvolution.shallow_water import Reflective_boundary
+from anuga.pyvolution.shallow_water import Dirichlet_boundary
+from anuga.pyvolution.shallow_water import Time_boundary
+from anuga.pyvolution.shallow_water import Transmissive_boundary
 
 
@@ -103,5 +103,5 @@
 gauges, gaugex, gaugey = gauge_line(west,east,north,south)
 
-from pyvolution.util import file_function
+from anuga.pyvolution.util import file_function
 
 f = file_function('test.sww',